=== debian/changelog ===
maxima (5.42.1-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Fri, 02 Nov 2018 17:17:30 +0000

maxima (5.42.0-3) unstable; urgency=medium

  * run maxima-local processes with standard gcl memory environment
    variables in an attempt to restore build suite on mips(el)
    autobuilders

 -- Camm Maguire <camm@debian.org>  Mon, 29 Oct 2018 16:34:59 +0000

maxima (5.42.0-2) unstable; urgency=medium

  * build-dep against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 12 Oct 2018 14:06:22 +0000

maxima (5.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sat, 29 Sep 2018 18:54:51 +0000
