=== debian/changelog ===
maxima (5.43.0-3) unstable; urgency=medium

  * fix HOME setting

 -- Camm Maguire <camm@debian.org>  Sat, 21 Dec 2019 18:32:43 +0000

maxima (5.43.0-2) unstable; urgency=medium

  * set HOME to pwd for maxima-local calls in debian/rules

 -- Camm Maguire <camm@debian.org>  Sat, 21 Dec 2019 14:47:13 +0000

maxima (5.43.0-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Doesn&#39;t work on multi-user systems, fights over
    /tmp/gcl_pool", thanks to Andreas Kloeckner (Closes: #931337).
  * Bug fix: "please update to upstream release 5.43", thanks to Roland
    Chavez (Closes: #945563).
  * Bug fix: "Python2 removal in sid/bullseye", thanks to
    morph@debian.org</a>; (Closes: #943166).
  * latest standards
  * latest gcl
  * Bug fix: "Uses too much memory to build", thanks to Santiago Vila
    (Closes: #827953).
  * Bug fix: "load(draw) compilation error", thanks to Leo Butler (Closes:
    #909145).

 -- Camm Maguire <camm@debian.org>  Fri, 20 Dec 2019 19:59:20 +0000
