=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 SAVES:=$(addprefix debian/save/,aclocal.m4 configure interfaces/emacs/imaxima/stamp-vti\
 	 interfaces/emacs/imaxima/imaxima.info interfaces/emacs/imaxima/version.texi\
 	 src/lisp\
+	 $(shell ls -1 doc/info/maxima*.html)\
+	 doc/info/extract_categories.sh \
+	 src/share-subdirs_autogenerated.lisp \
+	 doc/info/contents.hhc doc/info/index.hhk interfaces/xmaxima/doc/xmaxima.info \
 	 share/contrib/maxima-odesolve/maxima-odesolve-index.lisp \
 	 crosscompile-windows/Makefile.in admin/Makefile.in \
 	 demo/Makefile.in doc/emaxima/Makefile.in doc/info/de/Makefile.in doc/info/de.utf8/Makefile.in\
@@ -34,6 +38,7 @@
 	)
 
 debian/save/%: %
+	touch interfaces/emacs/imaxima/imaxima.info
 	mkdir -p $(@D)
 	[ -e $@ ] || cp $< $@
 
@@ -56,7 +61,6 @@
 	echo '(progn (setq si::*optimize-maximum-pages* nil)(si::save-system "gcl"))' | GCL_ANSI=t gcl
 
 	git_found=false PATH=$$(pwd):$$PATH GCL_ANSI=t ./configure --enable-gcl $$(gcl -batch -eval '(progn #-native-reloc(princ "--enable-gcl-alt-link"))') \
-		--enable-sys-proclaim \
 		--prefix=/usr \
 		--libexec=/usr/lib \
 		--mandir=/usr/share/man \
@@ -68,14 +72,17 @@
 
 	PATH=$$(pwd):$$PATH GCL_ANSI=t $(MAKE)
 
+	touch -r src/share-subdirs_autogenerated.lisp src/share-subdirs.lisp
+	touch -r src/gcl-depends.mk src/binary-gcl/maxima
+
 	echo ':lisp (setq maxima::*maxima-started* nil si::*optimize-maximum-pages* t si::*code-block-reserve* (make-array 10000000 :element-type (quote character) :static t))(when (fboundp (quote si::sgc-on)) (si::sgc-on nil))(si::gbc t)(si::save-system "foo")' | \
-	GCL_MEM_MULTIPLE=1.0 GCL_GC_PAGE_MIN=0.5 GCL_GC_PAGE_MAX=0.75 GCL_GC_ALLOC_MIN=0.05 \
+	GCL_MEM_MULTIPLE=1.0 GCL_GC_PAGE_MIN=0.5 GCL_GC_PAGE_MAX=0.75 GCL_GC_ALLOC_MIN=0.05 HOME=$$(pwd) \
 	./maxima-local && mv foo src/binary-gcl/maxima
 
 
 	chmod +x ./maxima-local
 	touch tests/tests-gcl.log
-	GCL_MEM_MULTIPLE=1.0 GCL_GC_PAGE_MIN=0.5 GCL_GC_PAGE_MAX=0.75 GCL_GC_ALLOC_MIN=0.05 \
+	GCL_MEM_MULTIPLE=1.0 GCL_GC_PAGE_MIN=0.5 GCL_GC_PAGE_MAX=0.75 GCL_GC_ALLOC_MIN=0.05 HOME=$$(pwd) \
 	./maxima-local -g --lisp=gcl --batch-string="run_testsuite();"  >tmp 2>&1 & \
 		j=$$! ; echo Waiting on pid $$j ; \
 		tail -f --pid=$$j --retry tests/tests-gcl.log tmp & wait $$j
@@ -88,7 +95,7 @@
 	rm -f tmp
 
 	echo ':lisp (setq si::*readline-prefix* "maxima::$$")(setq maxima::*maxima-started* nil maxima::*maxima-index-dir* "/usr/share/doc/maxima/info")(si::save-system "foo")' | \
-	GCL_MEM_MULTIPLE=1.0 GCL_GC_PAGE_MIN=0.5 GCL_GC_PAGE_MAX=0.75 GCL_GC_ALLOC_MIN=0.05 \
+	GCL_MEM_MULTIPLE=1.0 GCL_GC_PAGE_MIN=0.5 GCL_GC_PAGE_MAX=0.75 GCL_GC_ALLOC_MIN=0.05 HOME=$$(pwd) \
 	./maxima-local && mv foo src/binary-gcl/maxima
 
 	touch build-stamp
@@ -122,6 +129,9 @@
 	rm -rf bin/interfaces bin/doc bin/src bin/xmaxima
 	rm -f doc/info/figures/Makefile
 	rm -f tmp
+	rm -f src/gcl-depends.mk.tmp src/startmaxima_abcl.sh
+	rm -f tests/test.sh
+	rm -f doc/info/build_html.sh # doc/info/extract_categories.sh
 
 	rm -f $(INSTALLS)
 	rm -f debian/ChangeLog
@@ -163,22 +173,9 @@
 	rm -rf debian/tmp/usr/share/maxima/$(MVERS)/xmaxima
 	ln -snf ../../doc/xmaxima debian/tmp/usr/share/maxima/$(MVERS)/xmaxima
 
-	mkdir -p debian/tmp/usr/share/emacs/site-lisp/maxima
-	cp -a debian/tmp/usr/share/maxima/$(MVERS)/emacs/* \
-		debian/tmp/usr/share/emacs/site-lisp/maxima
+	mv debian/tmp/usr/share/emacs/site-lisp debian/tmp/usr/share/emacs/site-lisp1
+	mkdir -p debian/tmp/usr/share/emacs/site-lisp
+	mv debian/tmp/usr/share/emacs/site-lisp1 debian/tmp/usr/share/emacs/site-lisp/maxima
 	rm debian/tmp/usr/share/emacs/site-lisp/maxima/dbl.el
 	mkdir -p debian/tmp/usr/share/texmf/tex/latex
 	mv debian/tmp/usr/share/emacs/site-lisp/maxima/*sty \
-		debian/tmp/usr/share/texmf/tex/latex
-	rm -rf debian/tmp/usr/share/maxima/$(MVERS)/emacs
-	ln -snf ../../emacs/site-lisp/maxima debian/tmp/usr/share/maxima/$(MVERS)/emacs
-
-	for i in debian/tmp/usr/bin/xmaxima \
-		debian/tmp/usr/lib/maxima/$(MVERS)/mgnuplot ; do \
-		cat $$i | sed  -e 's,^#!/bin/sh,#!/usr/bin/wish,1' \
-			-e 's,^exec wish,#exec wish,1' \
-			-e 's,\$${prefix}/share,/usr/share,1' \
-                        -e 's,[Nn]etscape,sensible-browser,g' >tmp && chmod 755 tmp && \
-			mv tmp $$i ; done
-
-	mkdir -p debian/tmp/usr/share/applications
